import{s as H,n as L,o as M}from"../chunks/scheduler.16523b0d.js";import{S as T,i as S,g as u,s as l,r as P,A as W,h as g,f as a,c as p,j as y,u as $,x as A,k as w,y as z,a as r,v as N,d as C,t as k,w as E}from"../chunks/index.841805ba.js";import{D as G}from"../chunks/Docstring.736d6cc6.js";import{H as R,E as U}from"../chunks/EditOnGithub.e13b29e8.js";function I(q){let n,h,d,b,i,f,o,s,O,m,F="ObjectDetectionParams is a configuration class for object detection training parameters.",j,c,D,_,x;return i=new R({props:{title:"Object Detection Parameters",local:"autotrain.trainers.object_detection.params.ObjectDetectionParams",headingTag:"h1"}}),s=new G({props:{name:"class autotrain.trainers.object_detection.params.ObjectDetectionParams",anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams",parameters:[{name:"data_path",val:": str = None"},{name:"model",val:": str = 'google/vit-base-patch16-224'"},{name:"username",val:": Optional = None"},{name:"lr",val:": float = 5e-05"},{name:"epochs",val:": int = 3"},{name:"batch_size",val:": int = 8"},{name:"warmup_ratio",val:": float = 0.1"},{name:"gradient_accumulation",val:": int = 1"},{name:"optimizer",val:": str = 'adamw_torch'"},{name:"scheduler",val:": str = 'linear'"},{name:"weight_decay",val:": float = 0.0"},{name:"max_grad_norm",val:": float = 1.0"},{name:"seed",val:": int = 42"},{name:"train_split",val:": str = 'train'"},{name:"valid_split",val:": Optional = None"},{name:"logging_steps",val:": int = -1"},{name:"project_name",val:": str = 'project-name'"},{name:"auto_find_batch_size",val:": bool = False"},{name:"mixed_precision",val:": Optional = None"},{name:"save_total_limit",val:": int = 1"},{name:"token",val:": Optional = None"},{name:"push_to_hub",val:": bool = False"},{name:"eval_strategy",val:": str = 'epoch'"},{name:"image_column",val:": str = 'image'"},{name:"objects_column",val:": str = 'objects'"},{name:"log",val:": str = 'none'"},{name:"image_square_size",val:": Optional = 600"},{name:"early_stopping_patience",val:": int = 5"},{name:"early_stopping_threshold",val:": float = 0.01"}],parametersDescription:[{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.data_path",description:"<strong>data_path</strong> (str) &#x2014; Path to the dataset.",name:"data_path"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.model",description:"<strong>model</strong> (str) &#x2014; Name of the model to be used. Default is &#x201C;google/vit-base-patch16-224&#x201D;.",name:"model"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.username",description:"<strong>username</strong> (Optional[str]) &#x2014; Hugging Face Username.",name:"username"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.lr",description:"<strong>lr</strong> (float) &#x2014; Learning rate. Default is 5e-5.",name:"lr"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.epochs",description:"<strong>epochs</strong> (int) &#x2014; Number of training epochs. Default is 3.",name:"epochs"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; Training batch size. Default is 8.",name:"batch_size"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.warmup_ratio",description:"<strong>warmup_ratio</strong> (float) &#x2014; Warmup proportion. Default is 0.1.",name:"warmup_ratio"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.gradient_accumulation",description:"<strong>gradient_accumulation</strong> (int) &#x2014; Gradient accumulation steps. Default is 1.",name:"gradient_accumulation"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.optimizer",description:"<strong>optimizer</strong> (str) &#x2014; Optimizer to be used. Default is &#x201C;adamw_torch&#x201D;.",name:"optimizer"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.scheduler",description:"<strong>scheduler</strong> (str) &#x2014; Scheduler to be used. Default is &#x201C;linear&#x201D;.",name:"scheduler"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.weight_decay",description:"<strong>weight_decay</strong> (float) &#x2014; Weight decay. Default is 0.0.",name:"weight_decay"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.max_grad_norm",description:"<strong>max_grad_norm</strong> (float) &#x2014; Max gradient norm. Default is 1.0.",name:"max_grad_norm"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.seed",description:"<strong>seed</strong> (int) &#x2014; Random seed. Default is 42.",name:"seed"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.train_split",description:"<strong>train_split</strong> (str) &#x2014; Name of the training data split. Default is &#x201C;train&#x201D;.",name:"train_split"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.valid_split",description:"<strong>valid_split</strong> (Optional[str]) &#x2014; Name of the validation data split.",name:"valid_split"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.logging_steps",description:"<strong>logging_steps</strong> (int) &#x2014; Number of steps between logging. Default is -1.",name:"logging_steps"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.project_name",description:"<strong>project_name</strong> (str) &#x2014; Name of the project for output directory. Default is &#x201C;project-name&#x201D;.",name:"project_name"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.auto_find_batch_size",description:"<strong>auto_find_batch_size</strong> (bool) &#x2014; Whether to automatically find batch size. Default is False.",name:"auto_find_batch_size"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.mixed_precision",description:"<strong>mixed_precision</strong> (Optional[str]) &#x2014; Mixed precision type (fp16, bf16, or None).",name:"mixed_precision"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.save_total_limit",description:"<strong>save_total_limit</strong> (int) &#x2014; Total number of checkpoints to save. Default is 1.",name:"save_total_limit"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.token",description:"<strong>token</strong> (Optional[str]) &#x2014; Hub Token for authentication.",name:"token"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.push_to_hub",description:"<strong>push_to_hub</strong> (bool) &#x2014; Whether to push the model to the Hugging Face Hub. Default is False.",name:"push_to_hub"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.eval_strategy",description:"<strong>eval_strategy</strong> (str) &#x2014; Evaluation strategy. Default is &#x201C;epoch&#x201D;.",name:"eval_strategy"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.image_column",description:"<strong>image_column</strong> (str) &#x2014; Name of the image column in the dataset. Default is &#x201C;image&#x201D;.",name:"image_column"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.objects_column",description:"<strong>objects_column</strong> (str) &#x2014; Name of the target column in the dataset. Default is &#x201C;objects&#x201D;.",name:"objects_column"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.log",description:"<strong>log</strong> (str) &#x2014; Logging method for experiment tracking. Default is &#x201C;none&#x201D;.",name:"log"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.image_square_size",description:"<strong>image_square_size</strong> (Optional[int]) &#x2014; Longest size to which the image will be resized, then padded to square. Default is 600.",name:"image_square_size"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.early_stopping_patience",description:"<strong>early_stopping_patience</strong> (int) &#x2014; Number of epochs with no improvement after which training will be stopped. Default is 5.",name:"early_stopping_patience"},{anchor:"autotrain.trainers.object_detection.params.ObjectDetectionParams.early_stopping_threshold",description:"<strong>early_stopping_threshold</strong> (float) &#x2014; Minimum change to qualify as an improvement. Default is 0.01.",name:"early_stopping_threshold"}],source:"https://github.com/huggingface/autotrain-advanced/blob/main/src/autotrain/trainers/object_detection/params.py#L8"}}),c=new U({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/params/object_detection_params.mdx"}}),{c(){n=u("meta"),h=l(),d=u("p"),b=l(),P(i.$$.fragment),f=l(),o=u("div"),P(s.$$.fragment),O=l(),m=u("p"),m.textContent=F,j=l(),P(c.$$.fragment),D=l(),_=u("p"),this.h()},l(t){const e=W("svelte-u9bgzb",document.head);n=g(e,"META",{name:!0,content:!0}),e.forEach(a),h=p(t),d=g(t,"P",{}),y(d).forEach(a),b=p(t),$(i.$$.fragment,t),f=p(t),o=g(t,"DIV",{class:!0});var v=y(o);$(s.$$.fragment,v),O=p(v),m=g(v,"P",{"data-svelte-h":!0}),A(m)!=="svelte-cn0mw6"&&(m.textContent=F),v.forEach(a),j=p(t),$(c.$$.fragment,t),D=p(t),_=g(t,"P",{}),y(_).forEach(a),this.h()},h(){w(n,"name","hf:doc:metadata"),w(n,"content",V),w(o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,e){z(document.head,n),r(t,h,e),r(t,d,e),r(t,b,e),N(i,t,e),r(t,f,e),r(t,o,e),N(s,o,null),z(o,O),z(o,m),r(t,j,e),N(c,t,e),r(t,D,e),r(t,_,e),x=!0},p:L,i(t){x||(C(i.$$.fragment,t),C(s.$$.fragment,t),C(c.$$.fragment,t),x=!0)},o(t){k(i.$$.fragment,t),k(s.$$.fragment,t),k(c.$$.fragment,t),x=!1},d(t){t&&(a(h),a(d),a(b),a(f),a(o),a(j),a(D),a(_)),a(n),E(i,t),E(s),E(c,t)}}}const V='{"title":"Object Detection Parameters","local":"autotrain.trainers.object_detection.params.ObjectDetectionParams","sections":[],"depth":1}';function B(q){return M(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends T{constructor(n){super(),S(this,n,B,I,H,{})}}export{Y as component};
