import{s as M,n as H,o as L}from"../chunks/scheduler.16523b0d.js";import{S as F,i as R,g as _,s as m,r as D,A as S,h as g,f as e,c as p,j as $,u as y,x as W,k as w,y as N,a as n,v as z,d as j,t as O,w as k}from"../chunks/index.841805ba.js";import{D as A}from"../chunks/Docstring.736d6cc6.js";import{H as G,E as I}from"../chunks/EditOnGithub.e13b29e8.js";function U(E){let i,x,u,h,r,d,s,o,T,l,q="<code>TextClassificationParams</code> is a configuration class for text classification training parameters.",v,c,C,f,b;return r=new G({props:{title:"Text Classification & Regression Parameters",local:"autotrain.trainers.text_classification.params.TextClassificationParams",headingTag:"h1"}}),o=new A({props:{name:"class autotrain.trainers.text_classification.params.TextClassificationParams",anchor:"autotrain.trainers.text_classification.params.TextClassificationParams",parameters:[{name:"data_path",val:": str = None"},{name:"model",val:": str = 'bert-base-uncased'"},{name:"lr",val:": float = 5e-05"},{name:"epochs",val:": int = 3"},{name:"max_seq_length",val:": int = 128"},{name:"batch_size",val:": int = 8"},{name:"warmup_ratio",val:": float = 0.1"},{name:"gradient_accumulation",val:": int = 1"},{name:"optimizer",val:": str = 'adamw_torch'"},{name:"scheduler",val:": str = 'linear'"},{name:"weight_decay",val:": float = 0.0"},{name:"max_grad_norm",val:": float = 1.0"},{name:"seed",val:": int = 42"},{name:"train_split",val:": str = 'train'"},{name:"valid_split",val:": Optional = None"},{name:"text_column",val:": str = 'text'"},{name:"target_column",val:": str = 'target'"},{name:"logging_steps",val:": int = -1"},{name:"project_name",val:": str = 'project-name'"},{name:"auto_find_batch_size",val:": bool = False"},{name:"mixed_precision",val:": Optional = None"},{name:"save_total_limit",val:": int = 1"},{name:"token",val:": Optional = None"},{name:"push_to_hub",val:": bool = False"},{name:"eval_strategy",val:": str = 'epoch'"},{name:"username",val:": Optional = None"},{name:"log",val:": str = 'none'"},{name:"early_stopping_patience",val:": int = 5"},{name:"early_stopping_threshold",val:": float = 0.01"}],parametersDescription:[{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.data_path",description:"<strong>data_path</strong> (str) &#x2014; Path to the dataset.",name:"data_path"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.model",description:"<strong>model</strong> (str) &#x2014; Name of the model to use. Default is &#x201C;bert-base-uncased&#x201D;.",name:"model"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.lr",description:"<strong>lr</strong> (float) &#x2014; Learning rate. Default is 5e-5.",name:"lr"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.epochs",description:"<strong>epochs</strong> (int) &#x2014; Number of training epochs. Default is 3.",name:"epochs"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.max_seq_length",description:"<strong>max_seq_length</strong> (int) &#x2014; Maximum sequence length. Default is 128.",name:"max_seq_length"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; Training batch size. Default is 8.",name:"batch_size"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.warmup_ratio",description:"<strong>warmup_ratio</strong> (float) &#x2014; Warmup proportion. Default is 0.1.",name:"warmup_ratio"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.gradient_accumulation",description:"<strong>gradient_accumulation</strong> (int) &#x2014; Number of gradient accumulation steps. Default is 1.",name:"gradient_accumulation"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.optimizer",description:"<strong>optimizer</strong> (str) &#x2014; Optimizer to use. Default is &#x201C;adamw_torch&#x201D;.",name:"optimizer"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.scheduler",description:"<strong>scheduler</strong> (str) &#x2014; Scheduler to use. Default is &#x201C;linear&#x201D;.",name:"scheduler"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.weight_decay",description:"<strong>weight_decay</strong> (float) &#x2014; Weight decay. Default is 0.0.",name:"weight_decay"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.max_grad_norm",description:"<strong>max_grad_norm</strong> (float) &#x2014; Maximum gradient norm. Default is 1.0.",name:"max_grad_norm"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.seed",description:"<strong>seed</strong> (int) &#x2014; Random seed. Default is 42.",name:"seed"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.train_split",description:"<strong>train_split</strong> (str) &#x2014; Name of the training split. Default is &#x201C;train&#x201D;.",name:"train_split"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.valid_split",description:"<strong>valid_split</strong> (Optional[str]) &#x2014; Name of the validation split. Default is None.",name:"valid_split"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.text_column",description:"<strong>text_column</strong> (str) &#x2014; Name of the text column in the dataset. Default is &#x201C;text&#x201D;.",name:"text_column"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.target_column",description:"<strong>target_column</strong> (str) &#x2014; Name of the target column in the dataset. Default is &#x201C;target&#x201D;.",name:"target_column"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.logging_steps",description:"<strong>logging_steps</strong> (int) &#x2014; Number of steps between logging. Default is -1.",name:"logging_steps"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.project_name",description:"<strong>project_name</strong> (str) &#x2014; Name of the project. Default is &#x201C;project-name&#x201D;.",name:"project_name"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.auto_find_batch_size",description:"<strong>auto_find_batch_size</strong> (bool) &#x2014; Whether to automatically find the batch size. Default is False.",name:"auto_find_batch_size"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.mixed_precision",description:"<strong>mixed_precision</strong> (Optional[str]) &#x2014; Mixed precision setting (fp16, bf16, or None). Default is None.",name:"mixed_precision"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.save_total_limit",description:"<strong>save_total_limit</strong> (int) &#x2014; Total number of checkpoints to save. Default is 1.",name:"save_total_limit"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.token",description:"<strong>token</strong> (Optional[str]) &#x2014; Hub token for authentication. Default is None.",name:"token"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.push_to_hub",description:"<strong>push_to_hub</strong> (bool) &#x2014; Whether to push the model to the hub. Default is False.",name:"push_to_hub"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.eval_strategy",description:"<strong>eval_strategy</strong> (str) &#x2014; Evaluation strategy. Default is &#x201C;epoch&#x201D;.",name:"eval_strategy"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.username",description:"<strong>username</strong> (Optional[str]) &#x2014; Hugging Face username. Default is None.",name:"username"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.log",description:"<strong>log</strong> (str) &#x2014; Logging method for experiment tracking. Default is &#x201C;none&#x201D;.",name:"log"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.early_stopping_patience",description:"<strong>early_stopping_patience</strong> (int) &#x2014; Number of epochs with no improvement after which training will be stopped. Default is 5.",name:"early_stopping_patience"},{anchor:"autotrain.trainers.text_classification.params.TextClassificationParams.early_stopping_threshold",description:"<strong>early_stopping_threshold</strong> (float) &#x2014; Threshold for measuring the new optimum to continue training. Default is 0.01.",name:"early_stopping_threshold"}],source:"https://github.com/huggingface/autotrain-advanced/blob/main/src/autotrain/trainers/text_classification/params.py#L8"}}),c=new I({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/params/text_classification_params.mdx"}}),{c(){i=_("meta"),x=m(),u=_("p"),h=m(),D(r.$$.fragment),d=m(),s=_("div"),D(o.$$.fragment),T=m(),l=_("p"),l.innerHTML=q,v=m(),D(c.$$.fragment),C=m(),f=_("p"),this.h()},l(a){const t=S("svelte-u9bgzb",document.head);i=g(t,"META",{name:!0,content:!0}),t.forEach(e),x=p(a),u=g(a,"P",{}),$(u).forEach(e),h=p(a),y(r.$$.fragment,a),d=p(a),s=g(a,"DIV",{class:!0});var P=$(s);y(o.$$.fragment,P),T=p(P),l=g(P,"P",{"data-svelte-h":!0}),W(l)!=="svelte-1xpjeqj"&&(l.innerHTML=q),P.forEach(e),v=p(a),y(c.$$.fragment,a),C=p(a),f=g(a,"P",{}),$(f).forEach(e),this.h()},h(){w(i,"name","hf:doc:metadata"),w(i,"content",V),w(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(a,t){N(document.head,i),n(a,x,t),n(a,u,t),n(a,h,t),z(r,a,t),n(a,d,t),n(a,s,t),z(o,s,null),N(s,T),N(s,l),n(a,v,t),z(c,a,t),n(a,C,t),n(a,f,t),b=!0},p:H,i(a){b||(j(r.$$.fragment,a),j(o.$$.fragment,a),j(c.$$.fragment,a),b=!0)},o(a){O(r.$$.fragment,a),O(o.$$.fragment,a),O(c.$$.fragment,a),b=!1},d(a){a&&(e(x),e(u),e(h),e(d),e(s),e(v),e(C),e(f)),e(i),k(r,a),k(o),k(c,a)}}}const V='{"title":"Text Classification & Regression Parameters","local":"autotrain.trainers.text_classification.params.TextClassificationParams","sections":[],"depth":1}';function B(E){return L(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends F{constructor(i){super(),R(this,i,B,U,M,{})}}export{Y as component};
