import{s as F,n as H,o as M}from"../chunks/scheduler.16523b0d.js";import{S as L,i as S,g as u,s as m,r as D,A as W,h as g,f as n,c as p,j as T,u as y,x as A,k as $,y as w,a as e,v as N,d as z,t as O,w as j}from"../chunks/index.841805ba.js";import{D as G}from"../chunks/Docstring.736d6cc6.js";import{H as R,E as I}from"../chunks/EditOnGithub.e13b29e8.js";function U(E){let i,h,_,d,o,k,s,r,b,c,q="TokenClassificationParams is a configuration class for token classification training parameters.",x,l,v,f,C;return o=new R({props:{title:"Token Classification Parameters",local:"autotrain.trainers.token_classification.params.TokenClassificationParams",headingTag:"h1"}}),r=new G({props:{name:"class autotrain.trainers.token_classification.params.TokenClassificationParams",anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams",parameters:[{name:"data_path",val:": str = None"},{name:"model",val:": str = 'bert-base-uncased'"},{name:"lr",val:": float = 5e-05"},{name:"epochs",val:": int = 3"},{name:"max_seq_length",val:": int = 128"},{name:"batch_size",val:": int = 8"},{name:"warmup_ratio",val:": float = 0.1"},{name:"gradient_accumulation",val:": int = 1"},{name:"optimizer",val:": str = 'adamw_torch'"},{name:"scheduler",val:": str = 'linear'"},{name:"weight_decay",val:": float = 0.0"},{name:"max_grad_norm",val:": float = 1.0"},{name:"seed",val:": int = 42"},{name:"train_split",val:": str = 'train'"},{name:"valid_split",val:": Optional = None"},{name:"tokens_column",val:": str = 'tokens'"},{name:"tags_column",val:": str = 'tags'"},{name:"logging_steps",val:": int = -1"},{name:"project_name",val:": str = 'project-name'"},{name:"auto_find_batch_size",val:": bool = False"},{name:"mixed_precision",val:": Optional = None"},{name:"save_total_limit",val:": int = 1"},{name:"token",val:": Optional = None"},{name:"push_to_hub",val:": bool = False"},{name:"eval_strategy",val:": str = 'epoch'"},{name:"username",val:": Optional = None"},{name:"log",val:": str = 'none'"},{name:"early_stopping_patience",val:": int = 5"},{name:"early_stopping_threshold",val:": float = 0.01"}],parametersDescription:[{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.data_path",description:"<strong>data_path</strong> (str) &#x2014; Path to the dataset.",name:"data_path"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.model",description:"<strong>model</strong> (str) &#x2014; Name of the model to use. Default is &#x201C;bert-base-uncased&#x201D;.",name:"model"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.lr",description:"<strong>lr</strong> (float) &#x2014; Learning rate. Default is 5e-5.",name:"lr"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.epochs",description:"<strong>epochs</strong> (int) &#x2014; Number of training epochs. Default is 3.",name:"epochs"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.max_seq_length",description:"<strong>max_seq_length</strong> (int) &#x2014; Maximum sequence length. Default is 128.",name:"max_seq_length"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; Training batch size. Default is 8.",name:"batch_size"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.warmup_ratio",description:"<strong>warmup_ratio</strong> (float) &#x2014; Warmup proportion. Default is 0.1.",name:"warmup_ratio"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.gradient_accumulation",description:"<strong>gradient_accumulation</strong> (int) &#x2014; Gradient accumulation steps. Default is 1.",name:"gradient_accumulation"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.optimizer",description:"<strong>optimizer</strong> (str) &#x2014; Optimizer to use. Default is &#x201C;adamw_torch&#x201D;.",name:"optimizer"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.scheduler",description:"<strong>scheduler</strong> (str) &#x2014; Scheduler to use. Default is &#x201C;linear&#x201D;.",name:"scheduler"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.weight_decay",description:"<strong>weight_decay</strong> (float) &#x2014; Weight decay. Default is 0.0.",name:"weight_decay"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.max_grad_norm",description:"<strong>max_grad_norm</strong> (float) &#x2014; Maximum gradient norm. Default is 1.0.",name:"max_grad_norm"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.seed",description:"<strong>seed</strong> (int) &#x2014; Random seed. Default is 42.",name:"seed"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.train_split",description:"<strong>train_split</strong> (str) &#x2014; Name of the training split. Default is &#x201C;train&#x201D;.",name:"train_split"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.valid_split",description:"<strong>valid_split</strong> (Optional[str]) &#x2014; Name of the validation split. Default is None.",name:"valid_split"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.tokens_column",description:"<strong>tokens_column</strong> (str) &#x2014; Name of the tokens column. Default is &#x201C;tokens&#x201D;.",name:"tokens_column"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.tags_column",description:"<strong>tags_column</strong> (str) &#x2014; Name of the tags column. Default is &#x201C;tags&#x201D;.",name:"tags_column"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.logging_steps",description:"<strong>logging_steps</strong> (int) &#x2014; Number of steps between logging. Default is -1.",name:"logging_steps"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.project_name",description:"<strong>project_name</strong> (str) &#x2014; Name of the project. Default is &#x201C;project-name&#x201D;.",name:"project_name"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.auto_find_batch_size",description:"<strong>auto_find_batch_size</strong> (bool) &#x2014; Whether to automatically find the batch size. Default is False.",name:"auto_find_batch_size"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.mixed_precision",description:"<strong>mixed_precision</strong> (Optional[str]) &#x2014; Mixed precision setting (fp16, bf16, or None). Default is None.",name:"mixed_precision"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.save_total_limit",description:"<strong>save_total_limit</strong> (int) &#x2014; Total number of checkpoints to save. Default is 1.",name:"save_total_limit"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.token",description:"<strong>token</strong> (Optional[str]) &#x2014; Hub token for authentication. Default is None.",name:"token"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.push_to_hub",description:"<strong>push_to_hub</strong> (bool) &#x2014; Whether to push the model to the Hugging Face hub. Default is False.",name:"push_to_hub"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.eval_strategy",description:"<strong>eval_strategy</strong> (str) &#x2014; Evaluation strategy. Default is &#x201C;epoch&#x201D;.",name:"eval_strategy"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.username",description:"<strong>username</strong> (Optional[str]) &#x2014; Hugging Face username. Default is None.",name:"username"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.log",description:"<strong>log</strong> (str) &#x2014; Logging method for experiment tracking. Default is &#x201C;none&#x201D;.",name:"log"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.early_stopping_patience",description:"<strong>early_stopping_patience</strong> (int) &#x2014; Patience for early stopping. Default is 5.",name:"early_stopping_patience"},{anchor:"autotrain.trainers.token_classification.params.TokenClassificationParams.early_stopping_threshold",description:"<strong>early_stopping_threshold</strong> (float) &#x2014; Threshold for early stopping. Default is 0.01.",name:"early_stopping_threshold"}],source:"https://github.com/huggingface/autotrain-advanced/blob/main/src/autotrain/trainers/token_classification/params.py#L8"}}),l=new I({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/params/token_classification_params.mdx"}}),{c(){i=u("meta"),h=m(),_=u("p"),d=m(),D(o.$$.fragment),k=m(),s=u("div"),D(r.$$.fragment),b=m(),c=u("p"),c.textContent=q,x=m(),D(l.$$.fragment),v=m(),f=u("p"),this.h()},l(a){const t=W("svelte-u9bgzb",document.head);i=g(t,"META",{name:!0,content:!0}),t.forEach(n),h=p(a),_=g(a,"P",{}),T(_).forEach(n),d=p(a),y(o.$$.fragment,a),k=p(a),s=g(a,"DIV",{class:!0});var P=T(s);y(r.$$.fragment,P),b=p(P),c=g(P,"P",{"data-svelte-h":!0}),A(c)!=="svelte-dqlvim"&&(c.textContent=q),P.forEach(n),x=p(a),y(l.$$.fragment,a),v=p(a),f=g(a,"P",{}),T(f).forEach(n),this.h()},h(){$(i,"name","hf:doc:metadata"),$(i,"content",V),$(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(a,t){w(document.head,i),e(a,h,t),e(a,_,t),e(a,d,t),N(o,a,t),e(a,k,t),e(a,s,t),N(r,s,null),w(s,b),w(s,c),e(a,x,t),N(l,a,t),e(a,v,t),e(a,f,t),C=!0},p:H,i(a){C||(z(o.$$.fragment,a),z(r.$$.fragment,a),z(l.$$.fragment,a),C=!0)},o(a){O(o.$$.fragment,a),O(r.$$.fragment,a),O(l.$$.fragment,a),C=!1},d(a){a&&(n(h),n(_),n(d),n(k),n(s),n(x),n(v),n(f)),n(i),j(o,a),j(r),j(l,a)}}}const V='{"title":"Token Classification Parameters","local":"autotrain.trainers.token_classification.params.TokenClassificationParams","sections":[],"depth":1}';function B(E){return M(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends L{constructor(i){super(),S(this,i,B,U,F,{})}}export{Y as component};
